loci.plugins.config

## Class LibraryEntry

- java.lang.Object
- - loci.plugins.config.LibraryEntry

- All Implemented Interfaces:
    java.lang.Comparable<java.lang.Object>

      public class LibraryEntry
      extends java.lang.Object
      implements java.lang.Comparable<java.lang.Object>

  A list entry for the configuration window's Libraries tab.
  Author:
    Curtis Rueden ctrueden at wisc.edu

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `libClass`
    `protected java.lang.String` | `license`
    `private static java.lang.String` | `MISSING` HTML markup for missing library.
    `static java.lang.String` | `MISSING_VERSION_CODE` Version code to indicate a missing library.
    `protected java.lang.String` | `name`
    `protected java.lang.String` | `notes`
    `protected java.lang.String` | `path`
    `private static java.lang.String` | `PRESENT` HTML markup for installed library.
    `protected java.lang.String` | `status`
    `protected java.lang.String` | `type`
    `protected java.lang.String` | `url`
    `protected java.lang.String` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LibraryEntry(java.io.PrintWriter log, java.util.HashMap<java.lang.String,java.lang.String> props)`
    `LibraryEntry(java.io.PrintWriter log, java.lang.String name, java.lang.String type, java.lang.String libClass, java.lang.String version, java.lang.String url, java.lang.String license, java.lang.String notes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(java.lang.Object o)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MISSING_VERSION_CODE

          public static final java.lang.String MISSING_VERSION_CODE

      Version code to indicate a missing library.
      See Also:
        Constant Field Values

    - #### PRESENT

          private static final java.lang.String PRESENT

      HTML markup for installed library.
      See Also:
        Constant Field Values

    - #### MISSING

          private static final java.lang.String MISSING

      HTML markup for missing library.
      See Also:
        Constant Field Values

    - #### name

          protected java.lang.String name

    - #### type

          protected java.lang.String type

    - #### libClass

          protected java.lang.String libClass

    - #### url

          protected java.lang.String url

    - #### license

          protected java.lang.String license

    - #### notes

          protected java.lang.String notes

    - #### status

          protected java.lang.String status

    - #### version

          protected java.lang.String version

    - #### path

          protected java.lang.String path

  - ### Constructor Detail

    - #### LibraryEntry

          public LibraryEntry(java.io.PrintWriter log,
                              java.util.HashMap<java.lang.String,java.lang.String> props)

    - #### LibraryEntry

          public LibraryEntry(java.io.PrintWriter log,
                              java.lang.String name,
                              java.lang.String type,
                              java.lang.String libClass,
                              java.lang.String version,
                              java.lang.String url,
                              java.lang.String license,
                              java.lang.String notes)

  - ### Method Detail

    - #### compareTo

          public int compareTo(java.lang.Object o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<java.lang.Object>`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2026 Open Microscopy Environment